"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

require("./inputGroup.scss");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var InputGroup = function InputGroup(_ref) {
  var className = _ref.className,
      compact = _ref.compact,
      children = _ref.children;
  className = !className ? '' : className;
  var ownClasses = ['nw-input-group'];
  if (compact) ownClasses.push('compact');
  ownClasses = ownClasses.join(" ");
  return _react["default"].createElement("div", {
    className: "".concat(className, " ").concat(ownClasses)
  }, children);
};

var _default = InputGroup;
exports["default"] = _default;