"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _emotion = require("emotion");

var _bootstrapStyle = require("../common/styling/bootstrapStyle");

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n        &:focus ", ";\n        &:active {\n            background: #e6e6e6;\n            border-color: #b3b3b3;\n            box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);\n            color: #333;\n        }\n        "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var SpecialButton =
/*#__PURE__*/
function () {
  function SpecialButton() {
    _classCallCheck(this, SpecialButton);
  }

  _createClass(SpecialButton, [{
    key: "onFocus",
    value: function onFocus(evt) {
      var focusBorder = evt.target.attributes.focusBorder.value;
      var renderTypeColor = focusBorder === 'primary' ? _bootstrapStyle.danger : focusBorder === 'warning' ? _bootstrapStyle.danger : focusBorder === 'success' ? _bootstrapStyle.danger : focusBorder === 'danger' ? _bootstrapStyle.danger : 'Error'; // css

      var focusStyle = (0, _emotion.css)(_templateObject(), renderTypeColor); // attached

      var elem = evt.target;
      elem.classList.add(focusStyle);
    }
  }]);

  return SpecialButton;
}();

var _default = SpecialButton;
exports["default"] = _default;