NPM install
---
`npm i nuworks-ui-library`

Usage
---
```javascript
import {Checkbox, Input, InputGroup, Select} from 'nuworks-ui-library';

class App extends React.Component {
    render(){
        render(
            <React.Fragment>
                <Checkbox checked type="primary">Todo Components</Checkbox>
                <Input block placeholder="Domz Garcia"/>
                <InputGroup compact>
                    <Input block placeholder="First name"/>
                    <Input block placeholder="Family name"/>
                </InputGroup>
                <Select data=[{label:'Domz Garcia', value:'Domz Garcia'}] />
            </React.Fragment>
        )
    }
}
```

Available Components
---
- [x] Input
- [x] Input Group
- [x] Select
- [x] Checkbox

With Typescript
---
- [x] Input Group